# boost::lockfree::detail::dummy_freelist< T, Alloc > Class Template Reference

Inherited by boost::lockfree::caching_freelist< T, Alloc >`[private]`, and boost::lockfree::freelist< T, maximum_size, Alloc >`[private]`.

List of all members.

## Detailed Description

### template<typename T, typename Alloc = std::allocator<T>>
class boost::lockfree::detail::dummy_freelist< T, Alloc >

Definition at line 33 of file freelist.hpp.

## Public Member Functions

T * | allocate (void)
void | deallocate (T *n)

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/detail/freelist.hpp